VULKAN_HPP_NAMESPACE::RenderPassSampleLocationsBeginInfoEXT Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::RenderPassSampleLocationsBeginInfoEXT:
[legend]

## Public Member Functions

| RenderPassSampleLocationsBeginInfoEXT (uint32_t attachmentInitialSampleLocationsCount_=0, const AttachmentSampleLocationsEXT *pAttachmentInitialSampleLocations_=nullptr, uint32_t postSubpassSampleLocationsCount_=0, const SubpassSampleLocationsEXT *pPostSubpassSampleLocations_=nullptr)
| RenderPassSampleLocationsBeginInfoEXT (VkRenderPassSampleLocationsBeginInfoEXT const &rhs)
RenderPassSampleLocationsBeginInfoEXT & | operator= (VkRenderPassSampleLocationsBeginInfoEXT const &rhs)
RenderPassSampleLocationsBeginInfoEXT & | setPNext (const void *pNext_)
RenderPassSampleLocationsBeginInfoEXT & | setAttachmentInitialSampleLocationsCount (uint32_t attachmentInitialSampleLocationsCount_)
RenderPassSampleLocationsBeginInfoEXT & | setPAttachmentInitialSampleLocations (const AttachmentSampleLocationsEXT *pAttachmentInitialSampleLocations_)
RenderPassSampleLocationsBeginInfoEXT & | setPostSubpassSampleLocationsCount (uint32_t postSubpassSampleLocationsCount_)
RenderPassSampleLocationsBeginInfoEXT & | setPPostSubpassSampleLocations (const SubpassSampleLocationsEXT *pPostSubpassSampleLocations_)
| operator VkRenderPassSampleLocationsBeginInfoEXT const & () const
| operator VkRenderPassSampleLocationsBeginInfoEXT & ()
bool | operator== (RenderPassSampleLocationsBeginInfoEXT const &rhs) const
bool | operator!= (RenderPassSampleLocationsBeginInfoEXT const &rhs) const

## Data Fields

const void * | pNext = nullptr
uint32_t | attachmentInitialSampleLocationsCount
const AttachmentSampleLocationsEXT * | pAttachmentInitialSampleLocations
uint32_t | postSubpassSampleLocationsCount
const SubpassSampleLocationsEXT * | pPostSubpassSampleLocations

## Private Attributes

StructureType | sType = StructureType::eRenderPassSampleLocationsBeginInfoEXT

## Detailed Description

Definition at line 28187 of file vulkan.hpp.

## Constructor & Destructor Documentation

## RenderPassSampleLocationsBeginInfoEXT() [1/2]

VULKAN_HPP_NAMESPACE::RenderPassSampleLocationsBeginInfoEXT::RenderPassSampleLocationsBeginInfoEXT | ( | uint32_t | attachmentInitialSampleLocationsCount_ = `0`,
|  | const AttachmentSampleLocationsEXT * | pAttachmentInitialSampleLocations_ = `nullptr`,
|  | uint32_t | postSubpassSampleLocationsCount_ = `0`,
|  | const SubpassSampleLocationsEXT * | pPostSubpassSampleLocations_ = `nullptr`
| ) |  |

inline

Definition at line 28189 of file vulkan.hpp.

: attachmentInitialSampleLocationsCount( attachmentInitialSampleLocationsCount_ )
, pAttachmentInitialSampleLocations( pAttachmentInitialSampleLocations_ )
, postSubpassSampleLocationsCount( postSubpassSampleLocationsCount_ )
, pPostSubpassSampleLocations( pPostSubpassSampleLocations_ )
{
}

## RenderPassSampleLocationsBeginInfoEXT() [2/2]

VULKAN_HPP_NAMESPACE::RenderPassSampleLocationsBeginInfoEXT::RenderPassSampleLocationsBeginInfoEXT | ( | VkRenderPassSampleLocationsBeginInfoEXT const & | rhs | ) |

inline

Definition at line 28200 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( RenderPassSampleLocationsBeginInfoEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkRenderPassSampleLocationsBeginInfoEXT &()

VULKAN_HPP_NAMESPACE::RenderPassSampleLocationsBeginInfoEXT::operator VkRenderPassSampleLocationsBeginInfoEXT & | ( |  | ) |

inline

Definition at line 28245 of file vulkan.hpp.

{
return *reinterpret_cast<VkRenderPassSampleLocationsBeginInfoEXT*>(this);
}

## operator VkRenderPassSampleLocationsBeginInfoEXT const &()

VULKAN_HPP_NAMESPACE::RenderPassSampleLocationsBeginInfoEXT::operator VkRenderPassSampleLocationsBeginInfoEXT const & | ( |  | ) | const

inline

Definition at line 28240 of file vulkan.hpp.

{
return *reinterpret_cast<const VkRenderPassSampleLocationsBeginInfoEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::RenderPassSampleLocationsBeginInfoEXT::operator!= | ( | RenderPassSampleLocationsBeginInfoEXT const & | rhs | ) | const

inline

Definition at line 28260 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

RenderPassSampleLocationsBeginInfoEXT& VULKAN_HPP_NAMESPACE::RenderPassSampleLocationsBeginInfoEXT::operator= | ( | VkRenderPassSampleLocationsBeginInfoEXT const & | rhs | ) |

inline

Definition at line 28205 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( RenderPassSampleLocationsBeginInfoEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::RenderPassSampleLocationsBeginInfoEXT::operator== | ( | RenderPassSampleLocationsBeginInfoEXT const & | rhs | ) | const

inline

Definition at line 28250 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( attachmentInitialSampleLocationsCount == rhs.attachmentInitialSampleLocationsCount )
&& ( pAttachmentInitialSampleLocations == rhs.pAttachmentInitialSampleLocations )
&& ( postSubpassSampleLocationsCount == rhs.postSubpassSampleLocationsCount )
&& ( pPostSubpassSampleLocations == rhs.pPostSubpassSampleLocations );
}

References attachmentInitialSampleLocationsCount, pAttachmentInitialSampleLocations, pNext, postSubpassSampleLocationsCount, pPostSubpassSampleLocations, and sType.

Referenced by operator!=().

## setAttachmentInitialSampleLocationsCount()

RenderPassSampleLocationsBeginInfoEXT& VULKAN_HPP_NAMESPACE::RenderPassSampleLocationsBeginInfoEXT::setAttachmentInitialSampleLocationsCount | ( | uint32_t | attachmentInitialSampleLocationsCount_ | ) |

inline

Definition at line 28216 of file vulkan.hpp.

{
attachmentInitialSampleLocationsCount = attachmentInitialSampleLocationsCount_;
return *this;
}

References attachmentInitialSampleLocationsCount.

## setPAttachmentInitialSampleLocations()

RenderPassSampleLocationsBeginInfoEXT& VULKAN_HPP_NAMESPACE::RenderPassSampleLocationsBeginInfoEXT::setPAttachmentInitialSampleLocations | ( | const AttachmentSampleLocationsEXT * | pAttachmentInitialSampleLocations_ | ) |

inline

Definition at line 28222 of file vulkan.hpp.

{
pAttachmentInitialSampleLocations = pAttachmentInitialSampleLocations_;
return *this;
}

References pAttachmentInitialSampleLocations.

## setPNext()

RenderPassSampleLocationsBeginInfoEXT& VULKAN_HPP_NAMESPACE::RenderPassSampleLocationsBeginInfoEXT::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 28210 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setPostSubpassSampleLocationsCount()

RenderPassSampleLocationsBeginInfoEXT& VULKAN_HPP_NAMESPACE::RenderPassSampleLocationsBeginInfoEXT::setPostSubpassSampleLocationsCount | ( | uint32_t | postSubpassSampleLocationsCount_ | ) |

inline

Definition at line 28228 of file vulkan.hpp.

{
postSubpassSampleLocationsCount = postSubpassSampleLocationsCount_;
return *this;
}

References postSubpassSampleLocationsCount.

## setPPostSubpassSampleLocations()

RenderPassSampleLocationsBeginInfoEXT& VULKAN_HPP_NAMESPACE::RenderPassSampleLocationsBeginInfoEXT::setPPostSubpassSampleLocations | ( | const SubpassSampleLocationsEXT * | pPostSubpassSampleLocations_ | ) |

inline

Definition at line 28234 of file vulkan.hpp.

{
pPostSubpassSampleLocations = pPostSubpassSampleLocations_;
return *this;
}

References pPostSubpassSampleLocations.

## Field Documentation

## attachmentInitialSampleLocationsCount

uint32_t VULKAN_HPP_NAMESPACE::RenderPassSampleLocationsBeginInfoEXT::attachmentInitialSampleLocationsCount

Definition at line 28270 of file vulkan.hpp.

Referenced by operator==(), and setAttachmentInitialSampleLocationsCount().

## pAttachmentInitialSampleLocations

const AttachmentSampleLocationsEXT* VULKAN_HPP_NAMESPACE::RenderPassSampleLocationsBeginInfoEXT::pAttachmentInitialSampleLocations

Definition at line 28271 of file vulkan.hpp.

Referenced by operator==(), and setPAttachmentInitialSampleLocations().

## pNext

const void* VULKAN_HPP_NAMESPACE::RenderPassSampleLocationsBeginInfoEXT::pNext = nullptr

Definition at line 28269 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## postSubpassSampleLocationsCount

uint32_t VULKAN_HPP_NAMESPACE::RenderPassSampleLocationsBeginInfoEXT::postSubpassSampleLocationsCount

Definition at line 28272 of file vulkan.hpp.

Referenced by operator==(), and setPostSubpassSampleLocationsCount().

## pPostSubpassSampleLocations

const SubpassSampleLocationsEXT* VULKAN_HPP_NAMESPACE::RenderPassSampleLocationsBeginInfoEXT::pPostSubpassSampleLocations

Definition at line 28273 of file vulkan.hpp.

Referenced by operator==(), and setPPostSubpassSampleLocations().

## sType

StructureType VULKAN_HPP_NAMESPACE::RenderPassSampleLocationsBeginInfoEXT::sType = StructureType::eRenderPassSampleLocationsBeginInfoEXT

private

Definition at line 28266 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::RenderPassSampleLocationsBeginInfoEXT::sType
StructureType sType
Definition: vulkan.hpp:28266
VULKAN_HPP_NAMESPACE::RenderPassSampleLocationsBeginInfoEXT::postSubpassSampleLocationsCount
uint32_t postSubpassSampleLocationsCount
Definition: vulkan.hpp:28272
VULKAN_HPP_NAMESPACE::RenderPassSampleLocationsBeginInfoEXT::RenderPassSampleLocationsBeginInfoEXT
RenderPassSampleLocationsBeginInfoEXT(uint32_t attachmentInitialSampleLocationsCount_=0, const AttachmentSampleLocationsEXT *pAttachmentInitialSampleLocations_=nullptr, uint32_t postSubpassSampleLocationsCount_=0, const SubpassSampleLocationsEXT *pPostSubpassSampleLocations_=nullptr)
Definition: vulkan.hpp:28189
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::RenderPassSampleLocationsBeginInfoEXT::pPostSubpassSampleLocations
const SubpassSampleLocationsEXT * pPostSubpassSampleLocations
Definition: vulkan.hpp:28273
VULKAN_HPP_NAMESPACE::RenderPassSampleLocationsBeginInfoEXT::operator==
bool operator==(RenderPassSampleLocationsBeginInfoEXT const &rhs) const
Definition: vulkan.hpp:28250
VULKAN_HPP_NAMESPACE::RenderPassSampleLocationsBeginInfoEXT::pNext
const void * pNext
Definition: vulkan.hpp:28269
VULKAN_HPP_NAMESPACE::RenderPassSampleLocationsBeginInfoEXT::pAttachmentInitialSampleLocations
const AttachmentSampleLocationsEXT * pAttachmentInitialSampleLocations
Definition: vulkan.hpp:28271
VkRenderPassSampleLocationsBeginInfoEXT
Definition: vulkan_core.h:7648
VULKAN_HPP_NAMESPACE::RenderPassSampleLocationsBeginInfoEXT::attachmentInitialSampleLocationsCount
uint32_t attachmentInitialSampleLocationsCount
Definition: vulkan.hpp:28270